Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

https://www.googleapis.com/auth/userinfo.email
google_id_token-a99f12e0

View your email address

https://www.googleapis.com/auth/userinfo.email
google_id_token_legacy-a99f12e0

View your email address

Path Parameters

libId
string
required

The ID of the library

workflowEmailId
string
required

The ID of the workflow email

Query Parameters

domain
string

The G Suite domain

securityCode
string

The security code

Response

200 - application/json

A ApiWorkflowEmail response

content
string

The content of the email

createdTime
string<date-time>

The time at which the workflow email was created (read-only field)

description
string

The description of the workflow email

id
string

The ID of the workflow email (read-only field)

isDefault
boolean

Whether the workflow email is the default email template for the email type (read-only field)

kind
string
lastModifiedTime
string<date-time>

The time at which the workflow email was last modified (read-only field)

layout
enum<string>

The layout of the email: NO_LAYOUT (no native layout added, default mode) or DEFAULT_LAYOUT

Available options:
NO_LAYOUT,
DEFAULT_LAYOUT
libraryId
string

The ID of the library (read-only field)

name
string

The name of the workflow email

sender
string

The sender of the email

subject
string

The subject of the email

type
enum<string>

The type of workflow email: either ACTION, NOTIFICATION or ACTION_REMINDER (read-only field after creation)

Available options:
ACTION,
NOTIFICATION,
ACTION_REMINDER